MediaMan Help

Index of Help Topics
Please click any of the following topics to get help.


MediaMan Online Help Navigation

Back Home (Index) www.imediaman.com


Managing Categories

MediaMan supports nested categories. The default categories (Music, Books, Videos, Games) are created in a new empty collection file. You can create your own sub category by right clicking on any of the existing one. The category structure is stored in the collection file. The root category "My Collection" can be renamed. But it can't be removed, and no items can be imported to it.

If it helps you to understand, category works like folders and the items you imported works like files.

A menu will popup showing the available options for the selected category. Choose "Insert Category" and type a name for it. Alternatively, when the focus is in the category view, you can press "Insert" to create a new category.

If you wanted to rename a category, right click on it and choose "Rename". Or, in an easy way, single click on it.

A category is associate with an icon, right click a category and choose "Change Icon" to change its default icon.

You can drag a category and drop it to another one to move it. In this case, all the nested categories and items under it will be preserved and moved to the target one.

You can also drag items and drop them on top of a category to move items between categories.


MediaMan Concept

MediaMan is a utility program specialized in cataloging media. It works like a database program which accepts and records your input and keep it on your hard drive. Advanced features allow you to perform various additional tasks with the data you entered, or reuse them.

Like most Windows program, MediaMan uses the file concept. Your collection is treated as a file. All the information in your collection, including the category tree structure, item textual content, and pictures are stored in a file. It's called a MediaMan Collection File, which has a .mmc extension. There are commands in the program that allows you to create, open, and save a collection file. Dealing with a collection file is pretty much the same as dealing with other data files. Your changes will only be retained after you save the file using the save command.MediaMan can deal with one collection file at a time, although it allows you to have multiple collection files on your hard drive. You can copy a collection file to another computer to use with another copy of MediaMan and the data shall be represented in the exact same way.

MediaMan often uses these words to identify different things stored in a collection file: categories, items, flags, and tags.

Categories to items is like folders to files in the Windows concept. Each category will have its own parent and child categories, they are organized in the form of a tree. Items, on the other hand refers to the actual DVDs or CDs. Each item has its own one and only category. Items to category has a many-to-one relation.

Flag is an attribute of items. Flags work like any field of an item. But its purpose is to distinguish the rental and borrow attribute of the item.

Tag is a versatile way to organize items. You can assign tags to items by editing the tag field of an item, or use drag & drop to drag an item to existing tags.


Editing, duplicating, and removing items
You can modify and change the imported content of an item. This is accomplished through the edit function.

Make sure you have selected the item(s) you would like to edit, and press the "Edit" button on toolbar. The "Edit" button will stay pressed down, which means you are in the Edit Mode. You will then notice a small box in the detail pane appearing, saying "Click any fields to edit". You can now click any fields in the detail pane to modify the content. For fields such as Cast or Directors, it's possible to enter more than one values. To do that, just enter one value and press Enter to enter another. Most fields supports auto-suggest. Which means the values you entered previously can be recalled by typing only a few letters in that value. For date fields, it's recommended that you always use the date time picker to enter values. Otherwise, if it's not in the correct format, it might be ignored during saving. The description field features HTML based editing. You can use the toolbar to assign font styles such as bold and italic to the content of description.

When you are done, click the "Save" button on top of the detail pane to confirm changes.

If you made an error, you can use the "Undo" button on the top-right of the toolbar to revert back the changes.

If you would like to enter content for a new field that is not currently visible, click "Reveal All" on the top of the detail pane. And click that field.

If you would like to add a new field that is not available even when "Reveal All" is selected, click "Custom Fields" to create this field.

You can duplicate items by right clicking the item and choose "Duplicate Item". A copy of the item will be put in the same category.

You can remove items by right clicking the item and choose "Delete Item".

Common fields such as rating, flags, and packaging are editable directly through the context menu. Right click any of the items to see options to change these information.


Exporting & printing
You may export the content of the current collection file using the collection export wizard. MediaMan allows you to export your collection into Microsoft Word RTF files, HTML files, and CSV files. Press Alt to activate the main menu bar, and use Collection -> Export ... to access the wizard.

You'll be prompted for the choice of export file format in the first page of the wizard. Choose one from the choices available. Please note that if you are exporting the virtual shelf rendering, it'll be exported in the PNG (Portable Network Graphic) format.

In the rest of the wizard, you'll be prompted for more options such as the items to export, the fields to export, and sorting options. MediaMan currently allows you to export the search result, selected items, or a category of items. To export the whole collection, choose the option to export the root node of the category tree (It's named "My Collection" by default). Additionally, you can export items in a selected series of fields, this will help if you were exporting to a CSV file with a small set of required fields.

If you choose to export the price field in the format of HTML list or CSV, MediaMan will automatically calculate the total price and put it as an additional record in the bottom of the list.

The printing command is also available in the Collection menu. It's recommended that you always use "Apply Settings" in the print dialog to preview the content and layout before printing. Please also note that MediaMan relies on Internet Explorer to print.

(Note: To export search results, you are strongly advised to invoke the wizard in the search dialog. For more information, please check out the search tool tutorial.


Using flags

You can manage your rented, lent and borrowed stuff with MediaMan. The concept "flag" in MediaMan is used to manage this kind of attribute.

To flag an item as borrowed, you only need to select this item, right click to activate the context menu. At the right side of the small toolbar above the context menu, there is a button with a white flag on it. Click this button to see available flagging options. In this case, simply choose "Borrowed".

You can also record information such as a person, date and period to describe the details of a flag. To achieve this, choose "Advanced..." in the flag options. A dialog will popup allowing you to set detailed flag options.

Pressing "Ctrl+2" will bring you to the flag view, in which, flags, dates, and person are listed separately. This view can be used to quickly locate a due item or missing item and check its flag details.


Advanced import features
In MediaMan, you can import items into your collection by downloading information from Amazon or a selection of other websites. To do this, press F8 or click Import on the toolbar. A broadband Internet connection must be established before import.

You'll see the bottom pane rises up after entering the Import mode. All import related tasks will be performed inside the bottom pane. Please note that at this time, you can still navigate through categories and items, or even switch between flag mode and tag mode.

Usually, the first line in the bottom pane is something like this "Import from Amazon U.S. to Recently Imported" where "Amazon U.S." and "Recently Imported" are displayed in blue. The color blue means these text contain extra features and work like a hyperlink. You can left click on any of the blue text to access its function. In this case, clicking on "Amazon U.S." will display a menu that allows you to pick different sites to import. The link "Recently Imported" will display a category selection box that allows you to assign a category for the imported items.

Next on the bottom pane is a large edit box that allows you to input keywords or barcode to describe an item to search. At the right side of this box, there is a double arrow button you can click for more options on search. You can choose to treat the keyword as an artist. You can also choose the product catalog on Amazon to search. Deactivating certain unrelated product catalogs can improve the search speed. If you press down the Ctrl key while clicking this button, an extra option named "Everything on Amazon" will be displayed. Activating this option will allow you to search across all product catalogs on Amazon.

Regarding the next 3 links: "Turn on Webcam" can be used to turn on your webcam for barcode scanning. "Read keywords from files" can be used for a batch import if you already compiled a list of keywords or barcode as a text file. Please note that MediaMan assumes each line of the text file is the keywords of one search query. "Recommendations" is a feature to work with shopping. It automatically imports the selected best selling items from Amazon.

Enter the title you would like to search, or a barcode and press Enter to perform a search.

The search progress will be displayed at the right part of the bottom pane. If the search finishes with only a single result. It's going to be automatically inserted into the category. MediaMan automatically navigate to this newly imported record if you are currently in that category.

If the search result contain multiple items, MediaMan will need your attention and choose the desired items from the result. In that case, a link will be displayed in the action area of the bottom pane. Clicking this link will lead you to the result items. You can click to import one, or ctrl+click to import multiple items.

Tip: Using the batch ISBN/UPC/EAN mode.
You can enter UPC/EAN barcode or ISBN number in the keyword edit box to target this particular item. In most cases they will be automatically imported, and thus save your time to choose among the results.

Tip: Using your webcam to scan barcodes

You do have to configure your webcam a little bit before actual scanning. MediaMan also require a high quality webcam for barcode scanning. Models that features 640x480 hardware resolution and auto-focusing (AF) work the best. If your webcam do not have auto-focusing, you need to check the manual and adjust the focus ring. The focus ring is typically a piece of rotating rubber circle in front of the lens. Adjust the focus ring so that the webcam focuses at a closer distance, typically 3 inches (7cm), so that your face becomes blurry. Put something within 3 inches in front of the webcam until you can clearly see it. Try scanning while adjusting the focus ring to obtain a better efficiency. Remember to hold the item still, and do not shake it.
If you have multiple capturing driver installed and the webcam area appear as black or it always says "acquiring images from webcam". Right click the webcam area, and select your webcam from the menu. If that didn't work, or there's no webcam listed. Then your webcam is not supported.

Tip: Using CueCat or other PS/2, USB-based barcode scanner

Typical USB barcode scanners expose themselves as an HID (Human Interface Device) to Windows. Just like keyboards, they don't need particular drivers and they output the scanning result in a form of a series keyboard strokes. Make sure the input cursor is in the edit box when you use it.


Play Music & Play Video

MediaMan can be used as a music player or video player that playbacks files on your hard drive.

The Play Music and Play Video entry inside Quick Views is used to activate the playback mode and turn MediaMan into a media player. But the first time you enter these modes, you would notice there's only a message saying no files are associated for playback. This is because you haven't used the file listing function to associate items to files on your hard drive.

Unlike most other media players, MediaMan can't scan your hard drive and locate files automatically. You need to prepare your files in a folder, and then use the file attaching function to link and establish the association.

To prepare your files, you need to use Windows Explorer. It's recommended that you create a folder called "My Music" and "My Videos" to contain all your media files, just for the purpose of easy arrangement. Then, for each item, such as an Audio CD, you can create another folder using the album title under "My Music". And put all of your .mp3 or .wma files inside this folder. It helps if you could name the files in an intuitive way, i.e. the file is named after track number, artist, and song name.

Then going into MediaMan and locate this Audio CD. Click the "Extra" tab at the bottom of the detail pane. Click "Attach a Folder" and choose the prepared album folder.

You'll need to repeat this step for every album you would like to associate.

Click "Play Music", and you'll see the newly attached album is now available for playback.

You can use the Manage Playlist button on the bottom right of the window to arrange play orders and hide certain items.

Please note that currently, only .mp3, .wma, .ogg, and .flac are recognized as playable audio files. Only .avi and .wmv files are recognized as video files. You need to install appropriate codecs for certain format to work.

*Note: MediaMan relies on Windows Media Player for audio and video playback.


Preferences

Press Alt to activate the main menu bar, and use Tools -> Options to activate MediaMan options dialog to configure default parameters of the program.

All options are explained in plain text. If you are not sure about what the options are about, you can try different options and see the program behavior. The "Automatically create a collection backup when closing." option will perform a copy of "MyCollection.mmc" to "MyCollection_bak.mmc" in the same folder on close.

The theme tab allows you to choose different looks for the virtual-shelf. You won't see changes if you are in other view mode.


Using quick views

Quick views are available in the category pane. They intend to offer you a quick overview of important items in your collection without having to search or even browsing to find them.

The first entry "Recently Imported", works like a category. Its purpose is to provide a default place for items when you aren't sure where to put them yet. "Recently Imported" actually refers to items that do not have a category.

"Flagged" shows all items that have been flagged. You can use this view to quickly find your due rentals or something you lent. But for the details, the flag view is more helpful. It provides separated list for different flags.

"Favorite" shows all items that have been rated 5.0 .

"Shopping" entry is like a special category. You can import items into it just like other categories. However, when switched to it, a "Shopping" button will be available on the toolbar that allows you to purchase the selected items from Amazon.

"Play Music" and "Play Video" are explained here.


Searching

Find items in the collection by using the search tool. MediaMan supports text keyword search on most fields available.

To use the search tool, simply place the mouse cursor to the search box at the top right of the program window. Enter any search keyword and wait for a few seconds, the result will be displayed in the list pane. Please note that you can use the search result the same way as the item listing under tags or categories. Which means, you can easily select items from the search result, and press "Edit" to change information, as well as use drag & drop to assign tags or categories.

Search engine style condition syntax is allowed. Please consult the following table for the details on search condition syntax.

Syntax 1: | Comedy Love
Result 1: | Match all items having both "Comedy" and "Love"
Syntax 2: | Comedy OR Love
Result 2: | Match all items having either "Comedy" and "Love"
Syntax 3: | "Jerry Seinfeld" "Larry David"
Result 3: | Match all items having both "Jerry Seinfeld" and "Larry David"
Syntax 4: | "Jerry Seinfeld" OR "Larry David"
Result 4: | Match all items having either "Jerry Seinfeld" and "Larry David"

Please note that to match multiple conditions, "OR" must be written in capital, otherwise it'll be treated as a regular word. Do not use "AND", it's not necessary and it will be treated as a regular word. You can mix up the above syntax to produce complicated boolean matches. There's no limit on the number of conditions.

Case-insensitive matching option is always on.


Starting MediaMan and start cataloging

Start MediaMan via Start Menu -> MediaMan -> MediaMan if you have it installed using default settings.

You'll see a home screen containing basically nothing. And a popup message box asking you how you prefer to create the collection. If you are using MediaMan for the first time, it's suggested that you choose the option to start with a sample collection. The sample collection contains a few items already imported for you to quickly evaluate the program and see how it works. You can also create an empty collection as well as open an existing collection from this point.

If you choose to create a collection, MediaMan will ask for a location for you to save the file. Enter your preferred file name and press Save.

MediaMan will now expand the left category view. And you are now free to perform tasks such as importing and editing.

To quickly get started, click one of the categories at the left to see any existing items. You can navigate through categories by clicking different entries in the category tree. Clicking the root category "My Collection" will bright you to the home screen.

To import an item, simply press F8 or the "Import" button on toolbar. The bottom pane will rise up to display tasks and options for import. Enter any keywords, such as "Erin Brockovich" to start a search. When the search completes, the result will be displayed in the detail pane. Click an item from the result to complete the import.

For advanced importing operations, click here. For details on the user interface, click here.


Managing tags

Tagging is a popular method to manage digital content. It provides an alternative way to the category mechanism to manage items based on their subjects or nature. However, it's important to understand the tagging concept before using this feature, or otherwise, you can find it frustrating.

First of all, category represent the physical belonging of items. Each item can be belong to one and only one category. You can create nested categories at an unlimited level. Each collection file has its own master category structure. If it helps you to understand, category works like folders and the items you imported works like files.

Tags on the other hand, is like an attribute of the item. Tag is actually a text field available for editing. Assigning/changing the tag field of an item doesn't affect its physical belonging (category). Unlike categories, each item can have multiple tags, and thus belongs to multiple subjects of your choices. For instance, a movie can belong to both "My DVD Pick" tag and "Comedy" tag.

In order to use tags, first you need to switch to the tag view. This can be done by using the buttons below the category pane, or pressing Ctrl+3.

MediaMan will populate the existing tags at the left. All the items will be scanned and classified to their corresponding tags. For the items not containing tags, they will be placed into the "Untagged" entry.

To create new tags, you have to edit an item, find its tag field, and enter something to describe this tag. This might not be so intuitive, but that's how tag works.

Assigning items to existing tags very easy, you only need to drag items and drop them on the existing tags on the left.


Getting familiar with the user interface

MediaMan's user interface is very intuitive and easy to use.

If you have just started MediaMan for the first time and completed the first collection file creation. The default MediaMan screen is displayed. It features several basic elements. On the very top of the window, there are navigate buttons, breadcrumb bars, and the search box. This should be very familiar if you used a program like Internet Explorer previously. The navigate buttons and the breadcrumb bars are used to navigate the content of the collection. You can go back/forward a category, a tag using the navigate buttons. It'll automatically record a history of places you stayed. The breadcrumb bar offered a convenient way to navigate through categories or a list of tags in addition to the category view and the tag view.

Right below, you can see the toolbar. Which includes a series buttons for quick access to program features. Note that the buttons are context-sensitive, which means you have a different button set between categories and item list. On the right side of the toolbar, you can see two arrow buttons. They are undo and redo buttons, which might be useful when you made an error editing the content.

Then you have a big part of the window which is the main area. It's now split into two parts, the category and the home screen. The category tree works like a folder tree in Windows Explorer. And the home screen includes an overview of your collection, as well as extra features such as statistics.

If you click on any category other than "My Collection", the main area will be split into three parts. The right hand area is now divided into a list pane and the detail pane. The item listing for the selected category is displayed in the list pane. The detail pane displays the details for selected items.

Use the small buttons below the category pane to switch among program modes. MediaMan can view items by categories, flags, and tags.

At the very bottom of the window, there is the bottom pane. This area contains a lot of features. First you can use the blue links to change the current category or sorting options. On the right side, you'll be able to zoom in and out the item listing pane (only in virtual shelf mode).

There are other features, such as the import function, that uses the bottom pane. The bottom pane content will switch to another layout. Operation is still similar though.

Most features in the program can be accessed either through the toolbar or the right click context menu.